Lavalite package that provides leave management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `forms/leave`.

    "forms/leave": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Forms\Leave\Providers\LeaveServiceProvider::class,

And also add it to alias

    'Leave'  => Forms\Leave\Facades\Leave::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Forms\\LeaveTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Forms\Leave\Providers\LeaveServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Forms\Leave\Providers\LeaveServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Forms\Leave\Providers\LeaveServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/leave/{modulename}

**User**

    http://path-to-route-folder/user/leave/{modulename}

**Public**

    http://path-to-route-folder/leaves


### API endpoints

**List**

    http://path-to-route-folder/api/user/leave/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/leave/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/leave/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/leave/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/leave/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/leave/{modulename}/{slug}
    METHOD: GET