<?php

namespace Forms\Leave\Forms;

class Leave
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'company_id' => [
                    "type" => 'numeric',
                    "label" => trans('leave::leave.label.company_id'),
                    "placeholder" => trans('leave::leave.placeholder.company_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'department_id' => [
                    "type" => 'numeric',
                    "label" => trans('leave::leave.label.department_id'),
                    "placeholder" => trans('leave::leave.placeholder.department_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'employee_id' => [
                    "type" => 'numeric',
                    "label" => trans('leave::leave.label.employee_id'),
                    "placeholder" => trans('leave::leave.placeholder.employee_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'enb_resource_group' => [
                    "type" => 'text',
                    "label" => trans('leave::leave.label.enb_resource_group'),
                    "placeholder" => trans('leave::leave.placeholder.enb_resource_group'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'employee_type' => [
                    "type" => 'radios',
                    "label" => trans('leave::leave.label.employee_type'),
                    "placeholder" => trans('leave::leave.placeholder.employee_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'leave_type' => [
                    "type" => 'radios',
                    "label" => trans('leave::leave.label.leave_type'),
                    "placeholder" => trans('leave::leave.placeholder.leave_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'other_specific' => [
                    "type" => 'text',
                    "label" => trans('leave::leave.label.other_specific'),
                    "placeholder" => trans('leave::leave.placeholder.other_specific'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'leave_start_date' => [
                    "type" => 'date_picker',
                    "label" => trans('leave::leave.label.leave_start_date'),
                    "placeholder" => trans('leave::leave.placeholder.leave_start_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'leave_end_date' => [
                    "type" => 'date_picker',
                    "label" => trans('leave::leave.label.leave_end_date'),
                    "placeholder" => trans('leave::leave.placeholder.leave_end_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'no_of_days' => [
                    "type" => 'decimal',
                    "label" => trans('leave::leave.label.no_of_days'),
                    "placeholder" => trans('leave::leave.placeholder.no_of_days'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'resuming_date' => [
                    "type" => 'date_picker',
                    "label" => trans('leave::leave.label.resuming_date'),
                    "placeholder" => trans('leave::leave.placeholder.resuming_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'reason' => [
                    "type" => 'text',
                    "label" => trans('leave::leave.label.reason'),
                    "placeholder" => trans('leave::leave.placeholder.reason'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'air_flight_type' => [
                    "type" => 'radios',
                    "label" => trans('leave::leave.label.air_flight_type'),
                    "placeholder" => trans('leave::leave.placeholder.air_flight_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'air_flight_details' => [
                    "type" => 'text',
                    "label" => trans('leave::leave.label.air_flight_details'),
                    "placeholder" => trans('leave::leave.placeholder.air_flight_details'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'job_handover' => [
                    "type" => 'text',
                    "label" => trans('leave::leave.label.job_handover'),
                    "placeholder" => trans('leave::leave.placeholder.job_handover'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'emergency_contact' => [
                    "type" => 'text',
                    "label" => trans('leave::leave.label.emergency_contact'),
                    "placeholder" => trans('leave::leave.placeholder.emergency_contact'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'cash_advance_amount' => [
                    "type" => 'decimal',
                    "label" => trans('leave::leave.label.cash_advance_amount'),
                    "placeholder" => trans('leave::leave.placeholder.cash_advance_amount'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'purpose' => [
                    "type" => 'text',
                    "label" => trans('leave::leave.label.purpose'),
                    "placeholder" => trans('leave::leave.placeholder.purpose'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'remark' => [
                    "type" => 'text',
                    "label" => trans('leave::leave.label.remark'),
                    "placeholder" => trans('leave::leave.placeholder.remark'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'applied_by' => [
                    "type" => 'numeric',
                    "label" => trans('leave::leave.label.applied_by'),
                    "placeholder" => trans('leave::leave.placeholder.applied_by'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'recommended_by' => [
                    "type" => 'numeric',
                    "label" => trans('leave::leave.label.recommended_by'),
                    "placeholder" => trans('leave::leave.placeholder.recommended_by'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'patient_name' => [
                    "type" => 'text',
                    "label" => trans('leave::leave.label.patient_name'),
                    "placeholder" => trans('leave::leave.placeholder.patient_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'injury_date' => [
                    "type" => 'text',
                    "label" => trans('leave::leave.label.injury_date'),
                    "placeholder" => trans('leave::leave.placeholder.injury_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'injury_time' => [
                    "type" => 'time_picker',
                    "label" => trans('leave::leave.label.injury_time'),
                    "placeholder" => trans('leave::leave.placeholder.injury_time'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'injury_place' => [
                    "type" => 'text',
                    "label" => trans('leave::leave.label.injury_place'),
                    "placeholder" => trans('leave::leave.placeholder.injury_place'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
