<?php

namespace Forms\Leave;

use User;

class Leave
{
    /**
     * $leave object.
     */
    protected $leave;    /**
     * $category object.
     */
    protected $category;

    /**
     * Constructor.
     */
    public function __construct(\Forms\Leave\Interfaces\LeaveRepositoryInterface $leave,        \Forms\Leave\Interfaces\CategoryRepositoryInterface $category)
    {
        $this->leave = $leave;        $this->category = $category;
    }

    /**
     * Returns count of leave.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.leave.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->leave->pushCriteria(new \Litepie\Forms\Repositories\Criteria\LeaveUserCriteria());
        }

        $leave = $this->leave->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('leave::' . $view, compact('leave'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->category->pushCriteria(new \Litepie\Forms\Repositories\Criteria\CategoryUserCriteria());
        }

        $category = $this->category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('leave::' . $view, compact('category'))->render();
    }
}
