<?php

namespace Forms\Leave\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CategoryTransformer extends TransformerAbstract
{
    public function transform(\Forms\Leave\Models\Category $category)
    {
        return [
            'id'                => $category->getRouteKey(),
            'key'               => [
                'public'    => $category->getPublicKey(),
                'route'     => $category->getRouteKey(),
            ], 
            'name'              => $category->name,
            'days'              => $category->days,
            'slug'              => $category->slug,
            'deleted_at'        => $category->deleted_at,
            'url'               => [
                'public'    => trans_url('leave/'.$category->getPublicKey()),
                'user'      => guard_url('leave/category/'.$category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$category->status),
            'created_at'        => format_date($category->created_at),
            'updated_at'        => format_date($category->updated_at),
        ];
    }
}